/*
 * Copyright (C) 1994
 *
 * Department of Computing Science,
 * The University,
 * Newcastle upon Tyne,
 * UK.
 */

#if defined(NO_INLINES) && !defined(ERROR_CC_)

extern ostream& operator<< (ostream&, ErrorSeverity);

#else

#ifndef NO_INLINES
#  define INLINEF inline
#else
#  define INLINEF
#endif

#include <iostream>
#include <stdlib.h>

#ifndef WIN32
#  include <sys/types.h>
#  include <unistd.h>
#else
//#  include <process.h>
#include "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\include\process.h"
#endif

#include <iostream>

INLINEF std::ostream& operator<< ( std::ostream& strm, ErrorSeverity es )
{
    strm << (es == FATAL ? "\007FATAL ERROR" : "WARNING");
    strm << "(process id : " << getpid() << ") : ";
    
    return strm;
}

#ifdef INLINEF
#  undef INLINEF
#endif

#endif
