#ifndef _ARRIVAL_MAINTHREAD_H_
#define _ARRIVAL_MAINTHREAD_H_

#include "Process.h"
#include "Arrivals.h"


// this main thread will spawn an arrival child thread
// for JobQ to consume.
class Arrival_MainThread : public Process {
public:
	Arrival_MainThread(Boolean useBreaks);
	virtual ~Arrival_MainThread();
	void Body();
	void Await();
	void Exit();

private:
	Boolean m_useBreaks;
	Arrivals *m_Arrivals;
};



#endif