/*
 * Copyright (C) 1994
 *
 * Department of Computing Science,
 * The University,
 * Newcastle upon Tyne,
 * UK.
 */

#ifndef ERROR_H_
#define ERROR_H_

/*
 *
 * Error reporting routines
 *
 */

#include <iostream>

enum ErrorSeverity
{
    FATAL, WARNING
};

#ifdef __GNUG__
#define error_stream ((std::ostream&)std::cerr)
#else
#define error_stream std::cerr
#endif

#include "Error.n"

#endif

