#include "Arrival_MainThread.h"
#include "Arrivals.h"

Arrival_MainThread::Arrival_MainThread(Boolean useBreaks) : m_useBreaks(useBreaks) {

}

void Arrival_MainThread::Body() {
	m_Arrivals = new Arrivals(8);
	 

#ifndef NO_RESOURCE
    Resources::ref(m_Arrivals);     
#endif
	
	// puts this process into ReadyQueue
	// if no other process is in the queue, it
	// will immediately returns this process
	m_Arrivals->Activate();
	
	// make the thread active, so that Body() 
	// can be called
	//m_Arrivals->Resume();
	 
	
	 

	Scheduler::scheduler().Resume();

#if 0
	Scheduler::scheduler().reset();
    Scheduler::scheduler().Suspend();

    m_Arrivals->terminate();
     
    
     

#ifndef NO_RESOURCE
    Resources::unref(m_Arrivals);     
#else
    if (m_Arrivals)
	delete m_Arrivals;     
#endif

    /*
     * Must reactivate main thread before this thread "dies" or there
     * will be nothing waiting to "catch" us.
     */
    
    Thread::mainResume();
#endif
 
}

Arrival_MainThread::~Arrival_MainThread() {
	  
}

void Arrival_MainThread::Await() {
	Resume();
    Thread::Self()->Suspend();
}

void Arrival_MainThread::Exit() {
	Thread::Exit();
}